import { ReactNode } from 'react';
import styles from './MessageText.module.scss';

export const MessageText = ({
  children,
  fg,
  bg,
  fmt,
}: {
  children: ReactNode;
  fg?: string;
  bg?: string;
  fmt?: string;
}) => (
  <span
    className={[
      styles['message'],
      fg ? styles[`message-fg-${fg}`] : undefined,
      bg ? styles[`message-bg-${bg}`] : undefined,
      fmt ? styles[`message-${fmt}`] : undefined,
    ]
      .filter((item) => item)
      .join(' ')}
  >
    {children}
  </span>
);
