import { INicklistNick } from '@icynet/irclib';
import styles from './NickListView.module.scss';

export const NickListView = ({ nicklist }: { nicklist?: INicklistNick[] }) => {
  return (
    <div className={styles.list}>
      {nicklist?.map((nick) => (
        <span key={nick.nickname} className={styles.nick}>
          {nick.prefix && <span className={styles.prefix}>{nick.prefix}</span>}
          {nick.nickname}
        </span>
      ))}
    </div>
  );
};
