import { MessageBuffer } from '../../lib/client-view.types';
import styles from './ViewTabs.module.scss';

export const ViewTabs = ({
  buffers,
  activeIndex,
  setActive,
}: {
  buffers: MessageBuffer[];
  activeIndex: number;
  setActive: (index: number) => void;
}) => {
  return (
    <div className={styles.tabs}>
      {buffers.map((buff: MessageBuffer, index: number) => (
        <button
          key={`${buff.connection.name}-${buff.name}`}
          className={[styles.tab, index === activeIndex && styles.active].join(
            ' ',
          )}
          onClick={() => {
            setActive(index);
          }}
        >
          {buff.name}
        </button>
      ))}
    </div>
  );
};
